#if 0
#   Copyright (C) 2010 by William A. Lorenz
#   Program files for software "RNAlocopt" under GNU public license,
#   details of which can be found at:
#       http://www.gnu.org/licenses/gpl-3.0.txt
#
#   Ideas developed by collaboration of W.A. Lorenz and P.G. Clote
#   and funded by NSF Grant DBI-0543506 to PGC.
#   Any opinions, findings, and conclusions or recommendations expressed 
#   in this material are those of the authors and do not necessarily 
#   reflect the views of the National Science Foundation.
#
#   If you use this software, we would be grateful if you could cite the
#   paper: "Computing the partition function for kinetically trapped RNA
#   secondary structures", by W.A. Lorenz and P. Clote, PLoS ONE (2010).
#
#   Algorithm and code developed by W.A. Lorenz, with some code concerning
#   Turner energy model taken from Vienna RNA Package, developed by  
#   IL Hofacker et al. http://www.tbi.univie.ac.at/RNA/, which is under
#   GNU public license as well.
#
#   This file is free software; you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#  
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#  
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
#   02110-1301, USA.
#  
#endif





#include "get_barrier.h"
#include "foldMod.h"
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "utils.h"

int main(int argc, char *argv[]){
  char sequence[500], start_str[500], end_str[500];
  int m,s,e, b1, b2, b3, b4;
  eReturn eret;

  if (argc==4){
    strcpy(sequence, argv[1]);
    strcpy(start_str, argv[2]);
    energy_of_struct(sequence, start_str);//May initialize some things.
    strcpy(end_str, argv[3]);
  } else {
    printf("Usage:\n");
    printf(" %s sequence start_structure end_structure\n", argv[0]);
    printf("    use parenthesis around structures.\n");
    exit(1);
  }    
  eret=getBarrierEnergy(sequence, start_str, end_str);
  s=eret.start;
  e=eret.end;
  m=eret.max;
  eret=getBarrierEnergy(sequence, end_str, start_str);
  b1=m;
  b2=m-s;
  b3=2*m-s-e;
  if ((m-s)<(m-e))
    b4=m-s;
  else
    b4=m-e;
  printf("4 barrier energies.\n 1) maximum energy on min path\n");
  printf("2) max energy - start energy on min path\n");
  printf("3) (max - start) + (max - end), sum of 2 barriers really\n");
  printf("4) min(max-start, max-end), how hard to get to lower energy state.\n");
  printf("%f %f %f %f\n", (float) b1/100.,(float) b2/100.,
	 (float) b3/100.,(float) b4/100.);
  return 0;
}
